## org.apache.maven.shared.io.download
Class DefaultDownloadManager

    java.lang.Object
      org.apache.maven.shared.io.download.DefaultDownloadManager

All Implemented Interfaces:
  DownloadManager

    public class DefaultDownloadManager

extends java.lang.Object
implements DownloadManager

Field Summary
`static java.lang.String` `ROLE_HINT`

Fields inherited from interface org.apache.maven.shared.io.download.DownloadManager
`ROLE`

Constructor Summary
`DefaultDownloadManager()`
`DefaultDownloadManager(org.apache.maven.artifact.manager.WagonManager wagonManager)`

Method Summary
`java.io.File` `download(java.lang.String url, java.util.List transferListeners, MessageHolder messageHolder)`
`java.io.File` `download(java.lang.String url, MessageHolder messageHolder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROLE_HINT

    public static final java.lang.String ROLE_HINT

See Also:
  Constant Field Values

Constructor Detail

### DefaultDownloadManager

    public DefaultDownloadManager()

### DefaultDownloadManager

    public DefaultDownloadManager(org.apache.maven.artifact.manager.WagonManager wagonManager)

Method Detail

### download

    public java.io.File download(java.lang.String url,
                                 MessageHolder messageHolder)
                          throws DownloadFailedException

  Specified by:
    `download` in interface `DownloadManager`
  Throws:
    `DownloadFailedException`

### download

    public java.io.File download(java.lang.String url,
                                 java.util.List transferListeners,
                                 MessageHolder messageHolder)
                          throws DownloadFailedException

  Specified by:
    `download` in interface `DownloadManager`
  Throws:
    `DownloadFailedException`

Copyright © 2011. All Rights Reserved.